<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if (isset($_GET['action']))
{
	$action = $_GET['action'];
	if ($action == 'items2points')
	{
		$character = $_GET['character'];
		$pass2 = $_GET['pass2'];
		if (empty($character))
			{
			echo "<font size='4' color='red'>Chưa chọn nhân vật đổi phần thưởng.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
			echo "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (empty($pass2))
			{
			echo "<font size='4' color='red'>Chưa nhập mật khẩu cấp 2</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
			echo "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'pass2'    =>  $pass2,
                'name'    =>  $_SESSION['mu_nvchon'],
                
                'pagesv'	=>	'sv_char_items2points',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				echo $reponse;
			}
			
		}
	}
}
?>